<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>Document</title>
    <style type="text/css">
    * {
        margin: 0px;
        padding: 0px;
    }

    nav,
    section {
        float: left;
    }

    nav {
        width: 200px;
    }

    section {
        width: 600px;
    }

    ul li a {
        display: block;
        height: 30px;
        background-color: #ccc;
        border: 2px solid black;
        margin: 10px 0px;
        line-height: 30px;
        text-align: center;
        color: black;
        text-decoration: none;
    }

    ul li a:hover {
        background-color: blue;
        color: white;
    }

    ul {
        width: 180px;
        margin: 10px auto;
        list-style-type: none;
    }

    iframe{
    	width:600px;
    	height:400px;
    }
    </style>
    <script type="text/javascript">
    function crearMenu(calles) {
        var navegacion = document.querySelector("nav");
        var menu = document.createElement("ul");
        var opcion;
        var enlace;

        for (var c = 0; c < calles.length; c++) {
            opcion = document.createElement("li");
            enlace = document.createElement("a");
            enlace.innerHTML = calles[c];
            enlace.href = "#";
            opcion.appendChild(enlace);
            menu.appendChild(opcion);
        }
        
        navegacion.appendChild(menu);
    }

    function colocarMapa(evento){
    	var calle=evento.target.innerHTML;
    	var destinoMapa=document.createElement("iframe");
    	destinoMapa.src="https://www.google.com/maps/embed/v1/place?key=AIzaSyAtMQoSDph1nm7dnbU-vEzDo04vx5QgOqk&q=" + calle.split("").join("+");

    	document.querySelector("section").innerHTML="";
    	document.querySelector("section").appendChild(destinoMapa);
    }


    var calles = new Array(
        "isaac peral 10",
        "pasaje de peña 1",
        "Alpe Formacion",
        "calle vargas 2"
    );


    window.addEventListener("load", function() {
        crearMenu(calles);
        for(var c=0;c<calles.length;c++){
        	document.querySelectorAll("ul>li>a")[c].addEventListener("click",colocarMapa);
        }
    });
    </script>
</head>

<body>
    <nav>
    </nav>
    <section>
    </section>
</body>

</html>